import 'package:flutter/material.dart';

class GymLinkHeader extends StatelessWidget {
  final String title;
  const GymLinkHeader({super.key, required this.title});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(horizontal: 20),
      child: Column(
        children: [
          Row(
            children: [
              IconButton(
                  onPressed: () => Navigator.pop(context),
                  icon: const Icon(Icons.arrow_back)),
              Text(title, style: Theme.of(context).textTheme.titleLarge),
            ],
          ),
          const Divider(thickness: 1, height: 0),
        ],
      ),
    );
  }
}
